petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRedundantCreate

Creates a DM object, used to manage data for dense globally coupled variables

### Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantCreate(MPI_Comm comm,PetscMPIInt rank,PetscInt N,DM *dm)

Collective on MPI_Comm

### Input Parameter

| comm | - the processors that will share the global vector
| rank | - rank to own the redundant values
| N | - total number of degrees of freedom

### Output Parameters

dm -the redundant DM

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateMatrix(), DMCompositeAddDM(), DMREDUNDANT, DMSetType(), DMRedundantSetSize(), DMRedundantGetSize()

### Level

advanced

### Location

src/dm/impls/redundant/dmredundant.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages